org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class OfStageVerification.PublisherVerification

- java.lang.Object
- - org.reactivestreams.tck.PublisherVerification<T>
  - - org.eclipse.microprofile.reactive.streams.operators.tck.spi.OfStageVerification.PublisherVerification

All Implemented Interfaces:
  org.reactivestreams.tck.flow.support.PublisherVerificationRules

Enclosing class:
  OfStageVerification

    public class OfStageVerification.PublisherVerification
    extends org.reactivestreams.tck.PublisherVerification<T>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.reactivestreams.tck.PublisherVerification

`org.reactivestreams.tck.PublisherVerification.PublisherTestRun<T>`

### Field Summary

### Fields inherited from class org.reactivestreams.tck.PublisherVerification

`SKIPPING_NO_ERROR_PUBLISHER_AVAILABLE, SKIPPING_OPTIONAL_TEST_FAILED`

### Constructor Summary

Constructors
Constructor and Description
`PublisherVerification()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.reactivestreams.Publisher<T>` `createFailedPublisher()`
`org.reactivestreams.Publisher<java.lang.Long>` `createPublisher(long elements)`

### Methods inherited from class org.reactivestreams.tck.PublisherVerification

`activePublisherTest, boundedDepthOfOnNextAndRequestRecursion, envPublisherReferenceGCTimeoutMillis, maxElementsFromPublisher, notVerified, notVerified, optional_spec104_mustSignalOnErrorWhenFails, optional_spec105_emptyStreamMustTerminateBySignallingOnComplete, optional_spec111_maySupportMultiSubscribe, optional_spec111_multicast_mustProduceTheSameElementsInTheSameSequenceToAllOfItsSubscribersWhenRequestingManyUpfront, optional_spec111_multicast_mustProduceTheSameElementsInTheSameSequenceToAllOfItsSubscribersWhenRequestingManyUpfrontAndCompleteAsExpected, optional_spec111_multicast_mustProduceTheSameElementsInTheSameSequenceToAllOfItsSubscribersWhenRequestingOneByOne, optional_spec111_registeredSubscribersMustReceiveOnNextOrOnCompleteSignals, optional_spec309_requestNegativeNumberMaySignalIllegalArgumentExceptionWithSpecificMessage, optionalActivePublisherTest, potentiallyPendingTest, potentiallyPendingTest, publisherUnableToSignalOnComplete, required_createPublisher1MustProduceAStreamOfExactly1Element, required_createPublisher3MustProduceAStreamOfExactly3Elements, required_spec101_subscriptionRequestMustResultInTheCorrectNumberOfProducedElements, required_spec102_maySignalLessThanRequestedAndTerminateSubscription, required_spec105_mustSignalOnCompleteWhenFiniteStreamTerminates, required_spec107_mustNotEmitFurtherSignalsOnceOnCompleteHasBeenSignalled, required_spec109_mayRejectCallsToSubscribeIfPublisherIsUnableOrUnwillingToServeThemRejectionMustTriggerOnErrorAfterOnSubscribe, required_spec109_mustIssueOnSubscribeForNonNullSubscriber, required_spec109_subscribeThrowNPEOnNullSubscriber, required_spec302_mustAllowSynchronousRequestCallsFromOnNextAndOnSubscribe, required_spec303_mustNotAllowUnboundedRecursion, required_spec306_afterSubscriptionIsCancelledRequestMustBeNops, required_spec307_afterSubscriptionIsCancelledAdditionalCancelationsMustBeNops, required_spec309_requestNegativeNumberMustSignalIllegalArgumentException, required_spec309_requestZeroMustSignalIllegalArgumentException, required_spec312_cancelMustMakeThePublisherToEventuallyStopSignaling, required_spec313_cancelMustMakeThePublisherEventuallyDropAllReferencesToTheSubscriber, required_spec317_mustNotSignalOnErrorWhenPendingAboveLongMaxValue, required_spec317_mustSupportACumulativePendingElementCountUpToLongMaxValue, required_spec317_mustSupportAPendingElementCountUpToLongMaxValue, required_validate_boundedDepthOfOnNextAndRequestRecursion, required_validate_maxElementsFromPublisher, setUp, skipStochasticTests, stochastic_spec103_mustSignalOnMethodsSequentially, stochasticTest, untested_spec106_mustConsiderSubscriptionCancelledAfterOnErrorOrOnCompleteHasBeenCalled, untested_spec107_mustNotEmitFurtherSignalsOnceOnErrorHasBeenSignalled, untested_spec108_possiblyCanceledSubscriptionShouldNotReceiveOnErrorOrOnCompleteSignals, untested_spec109_subscribeShouldNotThrowNonFatalThrowable, untested_spec110_rejectASubscriptionRequestIfTheSameSubscriberSubscribesTwice, untested_spec304_requestShouldNotPerformHeavyComputations, untested_spec305_cancelMustNotSynchronouslyPerformHeavyComputation, whenHasErrorPublisherTest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PublisherVerification

    public PublisherVerification()

### Method Detail

#### createPublisher

    public org.reactivestreams.Publisher<java.lang.Long> createPublisher(long elements)

Specified by:
  `createPublisher` in class `org.reactivestreams.tck.PublisherVerification<java.lang.Long>`

#### createFailedPublisher

    public org.reactivestreams.Publisher<T> createFailedPublisher()

Specified by:
  `createFailedPublisher` in class `org.reactivestreams.tck.PublisherVerification<T>`